Package com.independentsoft.office.spreadsheet

# Class SmartTagProperties

java.lang.Object
com.independentsoft.office.spreadsheet.SmartTagProperties

public class SmartTagProperties extends Object
The Class SmartTagProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartTagProperties()`
  Instantiates a new smart tag properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SmartTagProperties`
  `clone()`
  `SmartTagDisplayType`
  `getSmartTagDisplayType()`
  Gets the smart tag display type.
  `boolean`
  `isEmbedSmartTags()`
  Checks if is embed smart tags.
  `void`
  `setEmbedSmartTags​(boolean embedSmartTags)`
  Sets the embed smart tags.
  `void`
  `setSmartTagDisplayType​(SmartTagDisplayType smartTagDisplayType)`
  Sets the smart tag display type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SmartTagProperties

    public SmartTagProperties()
    Instantiates a new smart tag properties.

- ## Method Details

  - ### clone

    public SmartTagProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isEmbedSmartTags

    public boolean isEmbedSmartTags()
    Checks if is embed smart tags.
    Returns:
      true, if is embed smart tags

  - ### setEmbedSmartTags

    public void setEmbedSmartTags​(boolean embedSmartTags)
    Sets the embed smart tags.
    Parameters:
      `embedSmartTags` - the new embed smart tags

  - ### getSmartTagDisplayType

    public SmartTagDisplayType getSmartTagDisplayType()
    Gets the smart tag display type.
    Returns:
      the smart tag display type

  - ### setSmartTagDisplayType

    public void setSmartTagDisplayType​(SmartTagDisplayType smartTagDisplayType)
    Sets the smart tag display type.
    Parameters:
      `smartTagDisplayType` - the new smart tag display type